<?php
/**
 * SecurePIN API Demo
 * version 2.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	
	session_name('securepinlight');
	session_start();
	
	global $testmode;
	
	if (!isset($_GET['testmode'])) {	
		$testmode = MCP__TESTMODE;
	}
	else {
		$testmode = $_GET['testmode'];
	}
	
	//create service object
	$oCountry = new spService();
	$oCountry -> setParameter('action', 'country');
	$oCountry -> setParameter('project', PROJECT_NAME);
	$oCountry -> setParameter('testmode', $testmode);
	$oCountry -> setParameter('country', 'de');
	$oCountry -> setParameter('ip', $_SERVER['REMOTE_ADDR']);
	
	// call request and handle errors
	if ($oCountry -> request()) { 
		$error = $oCountry -> getResult('error', 0);
		$errormessage = $oCountry -> getResult('errormessage');
	} 
	
	$cResult = array (
		'status' => $oCountry -> getResult('status'),
		'callstate' => $oCountry -> getResult('callstate'),
		'error' => $oCountry -> getResult('error'),
		'errormessage' => $oCountry -> getResult('errormessage'),
		'prefixcountry' => $oCountry -> getResult('prefixcountry'),
		'ipcountry' => $oCountry -> getResult('ipcountry'),
		'ipprovide' => $oCountry -> getResult('ipprovider')
	);

	$prefix = array();
	$country = array();
	$prefix = $oCountry -> getResult('prefix');
	$country = $oCountry -> getResult('country');


	//create service object
	$oInit = new spService();

	$oInit -> setParameter('action', 'init');
	$oInit -> setParameter('project', PROJECT_NAME);
	$oInit -> setParameter('testmode', $testmode);
	$oInit -> setParameter('userparam', time().$_SERVER['REMOTE_ADDR']);
	$oInit -> setParameter('freeparam', '');
	$oInit -> setParameter('ip', $_SERVER['REMOTE_ADDR']);
	
	$oInit -> setParameter('country', 'DE');
	$oInit -> setParameter('timeout', MCP__TIMEOUT);
	$oInit -> setParameter('prefix', $_SESSION['prefix_']);

	// call request and handle errors
	if ($oInit -> request()) { 
		$error = $oInit -> getResult('error', 0);
		$errormessage = $oInit -> getResult('errormessage');
	} 
	
	$aResult = array (
		'status' => $oInit -> getResult('status'),
		'callstate' => $oInit -> getResult('callstate'),
		'error' => $oInit -> getResult('error'),
		'errormessage' => $oInit -> getResult('errormessage'),
		'auth' => $oInit -> getResult('auth'),
		'basenumber' => $oInit -> getResult('basenumber'),
		'suffix' => $oInit -> getResult('suffix'),
		'origin' => $oInit -> getResult('origin'),
		'booking' => $oInit -> getResult('booking'),
		'type' => $oInit -> getResult('type'),
		'price' => $oInit -> getResult('price'),
		'currency' => $oInit -> getResult('currency'),
		'dc' => $oInit -> getResult('dc'),
		'numberinfo' => $oInit -> getResult('numberinfo')
	);


?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>SecurePIN API Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 	
</head>


<body 	
	onLoad="new Ajax.PeriodicalUpdater('status', 'auth.php', {
  		evalScripts: 'true',
  		method: 'post', 
  		parameters: 'testmode=<?php print $testmode;?>&auth=<?php print $aResult['auth'];?>' ,
		onFailure: function () {
			alert('ERROR: Cannot send data. Please try again...');
		},
  		frequency: <?php print MCP__TIMEOUT-2;?>
	});
	
">

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"></td>
				<td align="left">SecurePIN API DEMO</td>
				<?php 
					if ($testmode == '1') {
						print '<td align="left"><font color=#CCCCCC><a href="index.php?testmode=0">live</a></font> <font color=#CCCCCC>|</font> <font color=#57bc23>demo**</font></td>';	
					}
					else {
						print '<td align="left"><font color=#57bc23>live**</font> <font color=#CCCCCC>|</font> <font color=#CCCCCC><a href="index.php?testmode=1">demo</a></font></td>';
					}
				
				?>
				
			</tr>
		</table>
	</div>

	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						
						<div class="phoneNumber">Identifikation per Telefon: 
						</div>
						
						<br />
						Ein Anruf - sofortige Freischaltung!
						<br /><br /><br /><br />
						
						<table>
							<tr>
								<td></td>
								<td></td>
								<td><b>Rufen Sie folgende Telefonnummer an: </b><br /><br /></td>
		
							</tr>
							<tr>
								<td></td>
								<td><img src="./img/icon.phone.green.48x48.gif"></td>
								<td>
									
									
									<div class="phoneNumber">
										<?php 

											if ($testmode == '1') {
												$tmp = substr_replace($oInit -> getResult('basenumber'), $prefix[0] .'/', 0, strlen($prefix[0])). $aResult['suffix']."* ";
												$tmp = substr($tmp, 0, strlen($prefix[0])+4) . ' xx' . substr($tmp, strlen($prefix[0])+6, 1) . ' '. $aResult['suffix']."* ";
												
												print $tmp;
												print "<span id='call'><input class=\"button\" type=\"submit\" value=\"Anruf simulieren\" onclick=\"
											
												
												new Ajax.Updater('call', 'testcall.php', {
													method: 'get',
  													parameters: 'number=".$aResult['basenumber'].$aResult['suffix']."&secs=5&tan=',
  													onFailure: function() {
														alert('ERROR: Cannot send data. Please try again...');
														return false;
													}
  												
												});
											
												\"></span>"; 
											}
											else {
												$tmp = substr_replace($oInit -> getResult('basenumber'), $prefix[0] .'/', 0, strlen($prefix[0])). $aResult['suffix']."* ";
												$tmp = substr($tmp, 0, strlen($prefix[0])+4) . ' ' . substr($tmp, strlen($prefix[0])+4, 3) . ' '. $aResult['suffix']."* ";
												
												print $tmp;
											}
											
											
										?></div>
																*
						<?php 
							print "<font size=1>". $aResult['numberinfo']. "</font>"; 
						?>
									</div>
								</td>
		
							</tr>
							<tr>
								<td></td>
								<td><img src="./img/icon.call.blue.48x48.gif"></td>
								<td>Ein Computer wird Ihnen die Besttigung geben,<br />dass Ihr Testaccount nun freigeschaltet ist.
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td>
									<div id="status">
										<< status >>
									</div>
								</td>
							</tr>
	
						</table>
						<?php 
							if ($testmode == '1') {
								print '<br /><font size=0.5>**Sie befinden sich im testmode und k&ouml;nnen &uuml;ber "Anruf simulieren" die Funktionailt&auml;t testen.<br /></font>';
								print 'Klicken Sie im Fenster oben recht auf "live", um mit einem realen Telefonanruf die Funktionalitt zu testen.<br />';
							}
							else {
								print '<br /><font size=0.5>**Sie befinden sich im live mode und k&ouml;nnen &uuml;ber einen realen Telefonanruf die Funktionailt&auml;t testen.<br /></font>';
								print 'Klicken Sie im Fenster oben recht auf "demo", um mit "Anruf simulieren" die Funktionalitt zu testen.<br />';
							}
						?>
						<br />
						<hr style="width:100%;text-align:left;">

						<div id="<?php if (($errormessage != "OK") && ($errormessage != "")) print "statusError";?>">
							
								<?php 
									if ($errormessage != "OK") { 
										print $errormessage;
										//reset
										$errormessage = "";
									}
									if ($_SESSION['errormessage'] != "OK") { 
										print $_SESSION['errormessage'];
										//reset
										$_SESSION['errormessage'] = "";
									}									

								?>
								
						</div>
					</div>
						<div style="text-align:right;">
							<font size=1>Die SecurePIN gibt es mit mehreren Rufnummern-Gassen, bitte whlen Sie ggf. hier aus: 
							<select onchange="new Ajax.Request ('aim.php', 
													{
														method: 'post',
														parameters: 'prefix_='+this.value,
														onFailure: function() {
															alert('ERROR: Cannot send data. Please try again...');
														}
													}
													); return true;   
							">
							<?php 
								if ((sizeof($prefix) > 0) && (is_array($prefix))) {
									foreach ($prefix as $pf) {
										print "<option value='". $pf."'>". $pf. "</option>";
									};
								}
							?>
							</select></font>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						</div>
				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/payment/securepin_api/securepin_api_2.0.html" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		SecurePIN API Demo, version 2.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>